Subject: bug#66625: 30.0.50; Gud LLDB completions when setting breakpoint

From: Gerd Möllmann <[email-masked]>
Date: Thu, 19 Oct 2023 07:59:02 +0200

Start debugging emacs with M-x lldb, then

  (lldb) b main

A very large number of completions is displayed in the Gud buffer.

In GNU Emacs 30.0.50 (build 1, aarch64-apple-darwin23.0.0, NS
 appkit-2487.00 Version 14.0 (Build 23A344)) of 2023-10-18 built on
 Mini.fritz.box
Repository revision: b8b0792db007b83ddd7bab929ce7955399bed5bc